Subject: bug#56844: [PATCH] Refactor repunctuate-sentences to accommodate corner case.

From: Robert Pluim <[email-masked]>
Date: Tue, 02 Aug 2022 14:10:35 +0200

>>>>> On Tue, 02 Aug 2022 13:45:05 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> André A. Gomes <[email-masked]> writes:
    >>> I'm not quite sure I understand this patch.  Are you changing this to
    >>> only consider punctuation that's followed by an upper-case character to
    >>> be sentence-end punctuation?
    >> 
    >> Yes.

    Lars> I don't think that'll be a generally welcome change -- some people write
    Lars> using non-standard orthography.  If this change is to be made, it has to
    Lars> be optional.

It doesnʼt even have to be that non-standard. Consider.

   De deur sloeg open.  de Valk stond in het licht.

Thatʼs pedantically incorrect, but there are many people (myself
included) who think that certain grammarians should keep quiet 😀

Robert
--